function [ res ] = mix( s, w1, w2 )
%MAT2VEC Summary of this function goes here
%   Detailed explanation goes here

    % normalize
    s = s - mean(s(:));
    s = s / std(s(:));

    S = integralImage(s);
    
    [m, n] = size(s);
    res = zeros(w1, w2);
    normalizer = w1 * w2;
    
    % calculate
    for ii = 1:w1
        for jj = 1:w2
            x_lower = floor(m * (ii - 1) / w1 + 1);
            x_upper = min(floor(m * ii / w1 + 1), m);
            y_lower = floor(n * (jj - 1) / w2 + 1);
            y_upper = min(floor(n * jj / w2 + 1), n);
            res(ii,jj) = (S(x_upper+1,y_upper+1) + S(x_lower,y_lower) - S(x_lower,y_upper+1) - S(x_upper+1,y_lower)) / normalizer;
        end
    end
    
    %res = mixmix(S, w1, w2, m, n);
end

